
from __future__ import unicode_literals

from hamcrest import assert_that, contains_inanyorder
from hamcrest import equal_to
from hamcrest import has_entries
from test_api import confd
from test_api import fixtures


@fixtures.label()
@fixtures.label()
def test_list_labels(first, second):
    response = confd.labels.get()

    assert_that(response.items, contains_inanyorder(has_entries(first), has_entries(second)))
    assert_that(response.total, equal_to(2))
